/// <reference types="@types/amap-js-api" />
import { EventEmitter } from '@angular/core';
import { Getter } from './interfaces';
import { AMapShapeOverlay } from './amap-shape-overlay';
import { EventBinderService } from '../shared/event-binder.service';
export declare const CircleOptions: string[];
export declare class AMapCircle<T extends AMap.EventEmitter> extends AMapShapeOverlay<T> {
    protected os: Getter<T>;
    protected binder: EventBinderService;
    /**
     * 层叠顺序，默认zIndex:10
     */
    zIndex: number;
    /**
     * 圆心位置
     */
    center: AMap.LocationValue;
    /**
     * 圆半径，单位:米
     */
    radius: number;
    /**
     * 线条颜色，使用16进制颜色代码赋值。默认值为#006600
     */
    strokeColor: string;
    /**
     * 轮廓线透明度，取值范围[0,1]，0表示完全透明，1表示不透明。默认为0.9
     */
    strokeOpacity: number;
    /**
     * 轮廓线宽度
     */
    strokeWeight: number;
    /**
     * 圆形填充颜色,使用16进制颜色代码赋值。默认值为#006600
     */
    fillColor: string;
    /**
     * 圆形填充透明度，取值范围[0,1]，0表示完全透明，1表示不透明。默认为0.9
     */
    fillOpacity: number;
    /**
     * 轮廓线样式，实线:solid，虚线:dashed
     */
    strokeStyle: AMap.StrokeStyle;
    /**
     * 勾勒形状轮廓的虚线和间隙的样式
     */
    strokeDasharray: number[];
    /**
     * 额外: 是否隐藏
     */
    hidden: boolean;
    /**
     * 额外: 是否开启编辑器
     */
    editor: boolean;
    /**
     * 额外: 会覆盖其他属性的配置方式
     */
    options: AMap.Polyline.Options;
    naReady: EventEmitter<any>;
    constructor(os: Getter<T>, binder: EventBinderService);
}
