/// <reference types="@types/amap-js-api" />
import { EventEmitter } from '@angular/core';
import { Getter } from './interfaces';
import { EventBinderService } from '../shared/event-binder.service';
export declare const OverlayOptions: string[];
export declare class AMapOverlay<T extends AMap.EventEmitter> {
    protected os: Getter<T>;
    protected binder: EventBinderService;
    /**
     * 鼠标悬停时的鼠标样式
     */
    cursor: string;
    /**
     * 自定义数据
     */
    extData: any;
    /**
     * 事件是否穿透到地图
     */
    bubble: boolean;
    /**
     * 是否支持点击
     */
    clickable: boolean;
    /**
     * 是否支持拖拽
     */
    draggable: boolean;
    naTouchStart: EventEmitter<any>;
    naTouchMove: EventEmitter<any>;
    naTouchEnd: EventEmitter<any>;
    naClick: EventEmitter<any>;
    naDblClick: EventEmitter<any>;
    naRightClick: EventEmitter<any>;
    naMouseOver: EventEmitter<any>;
    naMouseUp: EventEmitter<any>;
    naMouseOut: EventEmitter<any>;
    naMouseDown: EventEmitter<any>;
    constructor(os: Getter<T>, binder: EventBinderService);
}
