/// <reference types="@types/amap-js-api" />
import { Getter } from './interfaces';
import { AMapShapeOverlay } from './amap-shape-overlay';
import { EventBinderService } from '../shared/event-binder.service';
export declare const PathOverlayOptions: string[];
export declare class AMapPathOverlay<T extends AMap.EventEmitter> extends AMapShapeOverlay<T> {
    protected os: Getter<T>;
    protected binder: EventBinderService;
    /**
     * 是否可见
     */
    visible: boolean;
    /**
     * 覆盖物层级
     */
    zIndex: number;
    /**
     * 描边线条颜色
     */
    strokeColor: string;
    /**
     * 描边线条透明度
     */
    strokeOpacity: number;
    /**
     * 描边宽度
     */
    strokeWeight: number;
    /**
     * 描边样式
     */
    strokeStyle: AMap.StrokeStyle;
    /**
     * 虚线间隔
     */
    strokeDasharray: number[];
    /**
     * 折线拐点的绘制样式
     */
    lineJoin: AMap.StrokeLineJoin;
    /**
     * 折线两端线帽的绘制样式
     */
    lineCap: AMap.StrokeLineCap;
    constructor(os: Getter<T>, binder: EventBinderService);
}
