/// <reference types="@types/amap-js-api" />
import { EventEmitter } from '@angular/core';
import { WithEditor } from './interfaces';
import { AMapPathOverlay } from './amap-path-overlay';
import { EventBinderService } from '../shared/event-binder.service';
export declare const PolygonOptions: string[];
export declare class AMapPolygon<T extends AMap.EventEmitter, E extends AMap.EventEmitter> extends AMapPathOverlay<T> {
    protected os: WithEditor<T, E>;
    protected binder: EventBinderService;
    /**
     * 多边形轮廓线的节点坐标数组
     */
    path?: AMap.LocationValue[] | AMap.LocationValue[][];
    /**
     * 多边形填充颜色
     */
    fillColor?: string;
    /**
     * 边形填充透明度
     */
    fillOpacity?: number;
    /**
     * 额外: 是否隐藏
     */
    hidden: boolean;
    /**
     * 额外: 是否开启编辑器
     */
    editor: boolean;
    /**
     * 额外: 会覆盖其他属性的配置方式
     */
    options: AMap.Polygon.Options;
    naReady: EventEmitter<any>;
    naEditorAddNode: EventEmitter<any>;
    naEditorRemoveNode: EventEmitter<any>;
    naEditorAdjust: EventEmitter<any>;
    naEditorEnd: EventEmitter<any>;
    constructor(os: WithEditor<T, E>, binder: EventBinderService);
}
