/// <reference types="@types/amap-js-api" />
import { NgZone } from '@angular/core';
import { Observable } from 'rxjs';
import { AMapService } from '../../shared/amap.service';
import { LoggerService } from '../../shared/logger/logger.service';
import { Getter } from '../../base/interfaces';
export declare class AmapInfoWindowService implements Getter<AMap.InfoWindow> {
    private amaps;
    private logger;
    private ngZone;
    private map;
    private infoWindow;
    private infoWindow$;
    constructor(amaps: AMapService, logger: LoggerService, ngZone: NgZone);
    /**
     * 获取信息窗体
     */
    get(): Observable<AMap.InfoWindow<any>>;
    /**
     * 创建 AMap.InfoWindow
     * @param options 选项
     */
    create(options: AMap.InfoWindow.Options): Observable<AMap.InfoWindow<any>>;
    /**
     * 销毁
     */
    destroy(): void;
    /**
     * 打开
     */
    open(position?: AMap.LocationValue): void;
    /**
     * 在覆盖物上打开窗体
     */
    openOnMark(marker: Observable<AMap.Marker | AMap.Text>): void;
    /**
     * 关闭
     */
    close(): void;
}
