/// <reference types="@types/amap-js-api" />
import { OnDestroy, EventEmitter, SimpleChanges, OnChanges, NgZone } from '@angular/core';
import { AMapPathOverlay } from '../../base/amap-path-overlay';
import { AmapBezierCurveService } from './amap-bezier-curve.service';
import { LoggerService } from '../../shared/logger/logger.service';
import { EventBinderService } from '../../shared/event-binder.service';
export declare class AmapBezierCurveDirective extends AMapPathOverlay<AMap.BezierCurve> implements OnChanges, OnDestroy {
    protected os: AmapBezierCurveService;
    protected binder: EventBinderService;
    private logger;
    private ngZone;
    /**
     * 线条是否带描边
     */
    isOutline: boolean;
    /**
     * 线条描边颜色
     */
    outlineColor: string;
    /**
     * 方向箭头颜色
     */
    dirColor: string;
    /**
     * 描边的宽度
     */
    borderWeight: number;
    /**
     * 是否延路径显示方向箭头
     */
    showDir: boolean;
    /**
     * 贝瑟尔曲线的路径
     */
    path: Array<Array<number | string | Array<string | number>>>;
    /**
     * 额外: 是否隐藏
     */
    hidden: boolean;
    /**
     * 额外: 是否开启曲线编辑器
     */
    editor: boolean;
    /**
     * 额外: 是否开启折线编辑器
     */
    polyEditor: boolean;
    /**
     * 额外: 会覆盖其他属性的配置方式
     */
    options: AMap.BezierCurve.Options;
    naReady: EventEmitter<any>;
    naEditorAddNode: EventEmitter<any>;
    naEditorRemoveNode: EventEmitter<any>;
    naEditorAdjust: EventEmitter<any>;
    naEditorEnd: EventEmitter<any>;
    naPolyEditorAddNode: EventEmitter<any>;
    naPolyEditorRemoveNode: EventEmitter<any>;
    naPolyEditorAdjust: EventEmitter<any>;
    naPolyEditorEnd: EventEmitter<any>;
    private inited;
    constructor(os: AmapBezierCurveService, binder: EventBinderService, logger: LoggerService, ngZone: NgZone);
    ngOnDestroy(): void;
    ngOnChanges(changes: SimpleChanges): void;
    /**
     * 获取已创建的 AMap.BezierCurve 对象
     */
    get(): import("rxjs").Observable<any>;
}
