/// <reference types="@types/amap-js-api" />
import { NgZone } from '@angular/core';
import { AMapService } from '../../shared/amap.service';
import { LoggerService } from '../../shared/logger/logger.service';
import { PluginLoaderService } from '../../shared/plugin-loader.service';
import { Getter } from '../../base/interfaces';
export declare class AmapBezierCurveService implements Getter<AMap.BezierCurve> {
    private amaps;
    private logger;
    private ngZone;
    private plugins;
    private bezierCurve;
    private bezierCurve$;
    private editor;
    private editor$;
    private polyEditor;
    private polyEditor$;
    constructor(amaps: AMapService, logger: LoggerService, ngZone: NgZone, plugins: PluginLoaderService);
    /**
     * 获取贝瑟尔曲线
     */
    get(): import("rxjs").Observable<any>;
    /**
     * 创建贝瑟尔曲线 AMap.BezierCurve
     * @param options 选项
     */
    create(options: AMap.BezierCurve.Options): import("rxjs").Observable<any>;
    /**
     * 销毁贝瑟尔曲线
     */
    destroy(): void;
    getEditor(): import("rxjs").Observable<any>;
    getPolyEditor(): import("rxjs").Observable<any>;
    /**
     * 加载编辑插件
     */
    loadEditor(): import("rxjs").Observable<void>;
    loadPolyEditor(): import("rxjs").Observable<void>;
    /**
     * 创建编辑器
     */
    createEditor(): import("rxjs").Observable<any>;
    createPolyEditor(): import("rxjs").Observable<any>;
    /**
     * 开关编辑器
     * @param v 开关选项
     */
    toggleEditor(v: boolean): void;
    togglePolyEditor(v: boolean): void;
}
