/// <reference types="@types/amap-js-api" />
import { OnDestroy, SimpleChanges, OnChanges, NgZone } from '@angular/core';
import { AMapCircle } from '../../base/amap-circle';
import { AmapCircleMarkerService } from './amap-circle-marker.service';
import { LoggerService } from '../../shared/logger/logger.service';
import { EventBinderService } from '../../shared/event-binder.service';
export declare class AmapCircleMarkerDirective extends AMapCircle<AMap.CircleMarker> implements OnChanges, OnDestroy {
    protected os: AmapCircleMarkerService;
    protected binder: EventBinderService;
    private logger;
    private ngZone;
    private inited;
    constructor(os: AmapCircleMarkerService, binder: EventBinderService, logger: LoggerService, ngZone: NgZone);
    ngOnDestroy(): void;
    ngOnChanges(changes: SimpleChanges): void;
    /**
     * 获取已创建的 AMap.CircleMarker 对象
     */
    get(): import("rxjs").Observable<AMap.CircleMarker<any>>;
}
