/// <reference types="@types/amap-js-api" />
import { EventEmitter, OnDestroy, SimpleChanges, OnChanges, NgZone } from '@angular/core';
import { AMapCircle } from '../../base/amap-circle';
import { AmapCircleService } from './amap-circle.service';
import { LoggerService } from '../../shared/logger/logger.service';
import { EventBinderService } from '../../shared/event-binder.service';
export declare class AmapCircleDirective extends AMapCircle<AMap.Circle> implements OnChanges, OnDestroy {
    protected os: AmapCircleService;
    protected binder: EventBinderService;
    private logger;
    private ngZone;
    naEditorAddNode: EventEmitter<any>;
    naEditorRemoveNode: EventEmitter<any>;
    naEditorAdjust: EventEmitter<any>;
    naEditorEnd: EventEmitter<any>;
    private inited;
    constructor(os: AmapCircleService, binder: EventBinderService, logger: LoggerService, ngZone: NgZone);
    ngOnDestroy(): void;
    ngOnChanges(changes: SimpleChanges): void;
    /**
     * 获取已创建的 AMap.Circle 对象
     */
    get(): import("rxjs").Observable<any>;
}
