/// <reference types="@types/amap-js-api" />
import { OnDestroy, SimpleChanges, OnChanges, NgZone } from '@angular/core';
import { AMapPolygon } from '../../base/amap-polygon';
import { AmapEllipseService } from './amap-ellipse.service';
import { LoggerService } from '../../shared/logger/logger.service';
import { EventBinderService } from '../../shared/event-binder.service';
export declare class AmapEllipseDirective extends AMapPolygon<AMap.Ellipse, any> implements OnChanges, OnDestroy {
    protected os: AmapEllipseService;
    protected binder: EventBinderService;
    private logger;
    private ngZone;
    /**
     * 椭圆的中心
     */
    center: AMap.LocationValue;
    /**
     * 椭圆半径
     */
    radius: [number, number];
    /**
     * 额外: 会覆盖其他属性的配置方式
     */
    options: AMap.Ellipse.Options;
    private inited;
    constructor(os: AmapEllipseService, binder: EventBinderService, logger: LoggerService, ngZone: NgZone);
    ngOnDestroy(): void;
    ngOnChanges(changes: SimpleChanges): void;
    /**
     * 获取已创建的 AMap.Ellipse 对象
     */
    get(): import("rxjs").Observable<any>;
}
