/// <reference types="@types/amap-js-api" />
import { NgZone } from '@angular/core';
import { AMapService } from '../../shared/amap.service';
import { LoggerService } from '../../shared/logger/logger.service';
import { PluginLoaderService } from '../../shared/plugin-loader.service';
import { WithEditor } from '../../base/interfaces';
export declare class AmapEllipseService implements WithEditor<AMap.Ellipse, any> {
    private amaps;
    private logger;
    private ngZone;
    private plugins;
    private ellipse;
    private ellipse$;
    private editor;
    private editor$;
    constructor(amaps: AMapService, logger: LoggerService, ngZone: NgZone, plugins: PluginLoaderService);
    /**
     * 获取椭圆
     */
    get(): import("rxjs").Observable<any>;
    /**
     * 创建椭圆 AMap.Ellipse
     * @param options 选项
     */
    create(options: AMap.Ellipse.Options): import("rxjs").Observable<any>;
    /**
     * 销毁椭圆
     */
    destroy(): void;
    getEditor(): import("rxjs").Observable<any>;
    /**
     * 加载编辑插件
     */
    loadEditor(): import("rxjs").Observable<void>;
    /**
     * 创建编辑器
     */
    createEditor(): import("rxjs").Observable<any>;
    /**
     * 开关编辑器
     * @param v 开关选项
     */
    toggleEditor(v: boolean): void;
}
