import { EventEmitter, OnDestroy, SimpleChanges, OnChanges, NgZone } from '@angular/core';
import { AmapHeatmapService, AMapHeatmap } from './amap-heatmap.service';
import { LoggerService } from '../../shared/logger/logger.service';
export declare class AmapHeatmapDirective implements OnChanges, OnDestroy {
    protected os: AmapHeatmapService;
    private logger;
    private ngZone;
    /**
     * 热力图中单个点的半径，默认：30，单位：pixel
     */
    radius: number;
    /**
     * 热力图的渐变区间
     */
    gradient: {
        [key: string]: string;
    };
    /**
     * 热力图透明度数组，取值范围[0,1]，0表示完全透明，1表示不透明
     * 默认：[0,1]
     */
    opacity: [number, number];
    /**
     * 支持的缩放级别范围，取值范围[3-18]
     * 默认：[3,18]
     */
    zooms: [number, number];
    /**
     * 额外: 是否隐藏
     */
    hidden: boolean;
    /**
     * 额外: 会覆盖其他属性的配置方式
     */
    options: AMapHeatmap.Options;
    /**
     * 额外: 坐标数据集
     */
    dataset: AMapHeatmap.DataSet;
    naReady: EventEmitter<any>;
    private inited;
    constructor(os: AmapHeatmapService, logger: LoggerService, ngZone: NgZone);
    ngOnDestroy(): void;
    ngOnChanges(changes: SimpleChanges): void;
    /**
     * 获取已创建的 AMap.Heatmap 对象
     */
    get(): import("rxjs").Observable<any>;
}
