/// <reference types="@types/amap-js-api" />
import { NgZone } from '@angular/core';
import { AMapService } from '../../shared/amap.service';
import { LoggerService } from '../../shared/logger/logger.service';
import { Getter } from '../../base/interfaces';
export declare class AmapMarkerService implements Getter<AMap.Marker> {
    private amaps;
    private logger;
    private ngZone;
    private marker;
    private marker$;
    constructor(amaps: AMapService, logger: LoggerService, ngZone: NgZone);
    /**
     * 获取点标记
     */
    get(): import("rxjs").Observable<AMap.Marker<any>>;
    /**
     * 创建点标记 AMap.Marker
     * @param options 选项
     * @param addToMap 是否直接加进地图
     */
    create(options: AMap.Marker.Options, addToMap?: boolean): import("rxjs").Observable<AMap.Marker<any>>;
    /**
     * 销毁点标记
     */
    destroy(): void;
}
