/// <reference types="@types/amap-js-api" />
import { OnDestroy, EventEmitter, SimpleChanges, OnChanges, NgZone } from '@angular/core';
import { AMapPathOverlay } from '../../base/amap-path-overlay';
import { AmapPolylineService } from './amap-polyline.service';
import { LoggerService } from '../../shared/logger/logger.service';
import { EventBinderService } from '../../shared/event-binder.service';
export declare class AmapPolylineDirective extends AMapPathOverlay<AMap.Polyline> implements OnChanges, OnDestroy {
    protected os: AmapPolylineService;
    protected binder: EventBinderService;
    private logger;
    private ngZone;
    /**
     * 线条是否带描边
     */
    isOutline: boolean;
    /**
     * 线条描边颜色
     */
    outlineColor: string;
    /**
     * 是否绘制成大地线
     */
    geodesic: boolean;
    /**
     * 方向箭头颜色
     */
    dirColor: string;
    /**
     * 描边的宽度
     */
    borderWeight: number;
    /**
     * 是否延路径显示方向箭头
     */
    showDir: boolean;
    /**
     * 折线的节点数组
     */
    path: AMap.LocationValue[];
    /**
     * 额外: 是否隐藏
     */
    hidden: boolean;
    /**
     * 额外: 是否开启编辑器
     */
    editor: boolean;
    /**
     * 额外: 会覆盖其他属性的配置方式
     */
    options: AMap.Polyline.Options;
    naReady: EventEmitter<any>;
    naEditorAddNode: EventEmitter<any>;
    naEditorRemoveNode: EventEmitter<any>;
    naEditorAdjust: EventEmitter<any>;
    naEditorEnd: EventEmitter<any>;
    private inited;
    constructor(os: AmapPolylineService, binder: EventBinderService, logger: LoggerService, ngZone: NgZone);
    ngOnDestroy(): void;
    ngOnChanges(changes: SimpleChanges): void;
    /**
     * 获取已创建的 AMap.Polyline 对象
     */
    get(): import("rxjs").Observable<any>;
}
