/// <reference types="@types/amap-js-api" />
import { NgZone } from '@angular/core';
import { AMapService } from '../../shared/amap.service';
import { LoggerService } from '../../shared/logger/logger.service';
import { PluginLoaderService } from '../../shared/plugin-loader.service';
import { Getter } from '../../base/interfaces';
export declare class AmapPolylineService implements Getter<AMap.Polyline> {
    private amaps;
    private logger;
    private ngZone;
    private plugins;
    private polyline;
    private polyline$;
    private editor;
    private editor$;
    constructor(amaps: AMapService, logger: LoggerService, ngZone: NgZone, plugins: PluginLoaderService);
    /**
     * 获取折线
     */
    get(): import("rxjs").Observable<any>;
    /**
     * 创建折线 AMap.Polyline
     * @param options 选项
     */
    create(options: AMap.Polyline.Options): import("rxjs").Observable<any>;
    /**
     * 销毁折线
     */
    destroy(): void;
    getEditor(): import("rxjs").Observable<any>;
    /**
     * 加载编辑插件
     */
    loadEditor(): import("rxjs").Observable<void>;
    /**
     * 创建编辑器
     */
    createEditor(): import("rxjs").Observable<any>;
    /**
     * 开关编辑器
     * @param v 开关选项
     */
    toggleEditor(v: boolean): void;
}
