/// <reference types="@types/amap-js-api" />
import { OnDestroy, SimpleChanges, OnChanges, NgZone } from '@angular/core';
import { AMapPolygon } from '../../base/amap-polygon';
import { AmapRectangleService } from './amap-rectangle.service';
import { LoggerService } from '../../shared/logger/logger.service';
import { EventBinderService } from '../../shared/event-binder.service';
export declare class AmapRectangleDirective extends AMapPolygon<AMap.Rectangle, any> implements OnChanges, OnDestroy {
    protected os: AmapRectangleService;
    protected binder: EventBinderService;
    private logger;
    private ngZone;
    /**
     * 矩形的范围
     */
    bounds?: AMap.Bounds;
    /**
     * 额外: 会覆盖其他属性的配置方式
     */
    options: AMap.Rectangle.Options;
    private inited;
    constructor(os: AmapRectangleService, binder: EventBinderService, logger: LoggerService, ngZone: NgZone);
    ngOnDestroy(): void;
    ngOnChanges(changes: SimpleChanges): void;
    /**
     * 获取已创建的 AMap.Rectangle 对象
     */
    get(): import("rxjs").Observable<any>;
}
