import { EventEmitter, ElementRef, SimpleChanges, OnChanges, NgZone } from '@angular/core';
import { AmapAutocompleteService, AMapAutocomplete } from '../../services/amap-autocomplete/amap-autocomplete.service';
import { LoggerService } from '../../shared/logger/logger.service';
import { EventBinderService } from '../../shared/event-binder.service';
export declare class InputAmapAutocompleteDirective implements OnChanges {
    protected os: AmapAutocompleteService;
    protected binder: EventBinderService;
    private el;
    private logger;
    private ngZone;
    /**
     * 输入提示时限定POI类型，多个类型用“|”分隔
     */
    type: string;
    /**
     * 输入提示时限定城市
     */
    city: string;
    /**
     * 返回的数据类型
     */
    datatype: AMapAutocomplete.DataType;
    /**
     * 是否强制限制在设置的城市内搜索
     */
    citylimit: boolean;
    naReady: EventEmitter<any>;
    naComplete: EventEmitter<any>;
    naSelect: EventEmitter<any>;
    naChoose: EventEmitter<any>;
    naError: EventEmitter<any>;
    private inited;
    constructor(os: AmapAutocompleteService, binder: EventBinderService, el: ElementRef, logger: LoggerService, ngZone: NgZone);
    ngOnChanges(changes: SimpleChanges): void;
}
