import { OnChanges, SimpleChanges, NgZone } from '@angular/core';
import { UIAwesomeMarkerService, AMapUIAwesomeMarker } from './ui-awesome-marker.service';
import { UISimpleMarker } from '../ui-simple-marker/ui-simple-marker';
import { EventBinderService } from '../../shared/event-binder.service';
import { AMapService } from '../../shared/amap.service';
import { PixelService } from '../../shared/pixel.service';
import { IconService } from '../../shared/icon.service';
import { MarkerLabelService } from '../../shared/marker-label.service';
import { LoggerService } from '../../shared/logger/logger.service';
export declare class UIAwesomeMarkerDirective extends UISimpleMarker implements OnChanges {
    protected os: UIAwesomeMarkerService;
    protected binder: EventBinderService;
    protected amaps: AMapService;
    protected pixels: PixelService;
    protected icons: IconService;
    protected mlabels: MarkerLabelService;
    protected logger: LoggerService;
    protected ngZone: NgZone;
    TAG: string;
    /**
     * icon 的名称，可用的 icons 参见 Font Awesome 官网
     */
    awesomeIcon: string;
    /**
     * 返回字体节点上的 classNames
     */
    getClassnamesOfAwesomeIcon: (icon: string) => string;
    constructor(os: UIAwesomeMarkerService, binder: EventBinderService, amaps: AMapService, pixels: PixelService, icons: IconService, mlabels: MarkerLabelService, logger: LoggerService, ngZone: NgZone);
    ngOnChanges(changes: SimpleChanges): void;
    getOptions(): AMapUIAwesomeMarker.Options<any>;
}
