import { NgZone } from '@angular/core';
import { Observable } from 'rxjs';
import { AMapService } from '../../shared/amap.service';
import { AmapUILoaderService } from '../../shared/amap-ui-loader.service';
import { LoggerService } from '../../shared/logger/logger.service';
import { Getter } from '../../base/interfaces';
import { AMapUISimpleMarker } from '../ui-simple-marker/ui-simple-marker.service';
export declare namespace AMapUIAwesomeMarker {
    interface Options<ExtraData = any> extends AMapUISimpleMarker.Options<ExtraData> {
        /**
         * icon 的名称，可用的 icons 参见 Font Awesome 官网
         */
        awesomeIcon?: string;
        /**
         * 返回字体节点上的 classNames
         */
        getClassnamesOfAwesomeIcon?: (awesomeIcon: string) => string;
    }
}
export declare class UIAwesomeMarkerService implements Getter<any> {
    private amaps;
    private uiLoader;
    private logger;
    private ngZone;
    private marker;
    private marker$;
    private ui;
    constructor(amaps: AMapService, uiLoader: AmapUILoaderService, logger: LoggerService, ngZone: NgZone);
    /**
     * 获取点标记
     */
    get(): Observable<any>;
    /**
     * 创建点标记 AMap.AwesomeMarker
     * @param options 选项
     * @param addToMap 是否直接加进地图
     */
    create(options: AMapUIAwesomeMarker.Options, addToMap?: boolean): Observable<any>;
    /**
     * 销毁点标记
     */
    destroy(): void;
}
