/// <reference types="@types/amap-js-api" />
import { NgZone } from '@angular/core';
import { Observable } from 'rxjs';
import { AMapService } from '../../shared/amap.service';
import { AmapUILoaderService } from '../../shared/amap-ui-loader.service';
import { LoggerService } from '../../shared/logger/logger.service';
import { Getter } from '../../base/interfaces';
export declare namespace AMapUISimpleMarker {
    interface Options<ExtraData = any> extends AMap.Marker.Options<ExtraData> {
        /**
         * 样式主题
         */
        iconTheme?: 'default' | 'fresh' | 'numv1' | 'numv2';
        /**
         * 背景图标样式
         */
        iconStyle?: string | object;
        /**
         * 图标前景文字
         */
        iconLabel?: string | object;
        /**
         * 是否显示定位点
         */
        showPositionPoint?: boolean | object;
        /**
         * 内建的Dom容器上附带的class，多个class name用空格分开
         */
        containerClassNames?: string;
    }
}
export declare class UISimpleMarkerService implements Getter<any> {
    private amaps;
    private uiLoader;
    private logger;
    private ngZone;
    private marker;
    private marker$;
    private ui;
    constructor(amaps: AMapService, uiLoader: AmapUILoaderService, logger: LoggerService, ngZone: NgZone);
    /**
     * 获取点标记
     */
    get(): Observable<any>;
    /**
     * 创建点标记 AMap.SimpleMarker
     * @param options 选项
     * @param addToMap 是否直接加进地图
     */
    create(options: AMapUISimpleMarker.Options, addToMap?: boolean): Observable<any>;
    /**
     * 销毁点标记
     */
    destroy(): void;
}
