/// <reference types="@types/amap-js-api" />
import { NgZone } from '@angular/core';
import { AMapLoaderService } from './amap-loader.service';
import { LoggerService } from './logger/logger.service';
import { Getter } from '../base/interfaces';
export declare class AMapService implements Getter<AMap.Map> {
    private loader;
    private logger;
    private ngZone;
    private map;
    private map$;
    constructor(loader: AMapLoaderService, logger: LoggerService, ngZone: NgZone);
    /**
     * 获取地图对象 AMap.Map
     */
    get(): import("rxjs").Observable<AMap.Map>;
    /**
     * 创建地图对象 AMap.Map
     * @param container 地图容器的DOM元素
     * @param options 选项
     */
    create(container: HTMLElement, options: AMap.Map.Options): import("rxjs").Observable<AMap.Map>;
    /**
     * 销毁地图对象
     */
    destroy(): void;
}
